/*
     This file is part of GNUnet

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * @file applications/afs/gtkui/insertprogress.h
 * @author Christian Grothoff
 **/

#ifndef GTKUI_INSERT_PROGRESS_H
#define GTKUI_INSERT_PROGRESS_H

#include "config.h"
#include <gtk/gtk.h>

/**
 * @brief state associated with an insertion
 **/
typedef struct {
  char * fileName;
  char * fileNameRoot;
  char * description;
  char * mimetype;
  char ** keywords;
  int num_keywords;
  char opDescription[32];		/* used in progressBar */
  int indexContent;
  GtkWidget * progressBar;
  GtkWidget * progressBarWindow;
  int deleteAfterInsert;
} InsertModel;

typedef struct {
  GtkWidget *bar;
  size_t progress;
} SetStat;

/**
 * Main function of the insert thread.  Does the
 * actual insertion.
 *
 * @param ilm Collected data related to the insertion
 */
void insertFileGtkThread(InsertModel * ilm);
 
void createInsertProgressBar(InsertModel * ilm);

#endif
